This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 443063 - long boot delay if CDROM present in drive
long boot delay if CDROM present in drive
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 443068
  Show dependency treegraph
 
Reported: 2008-04-18 09:54 EDT by Harald Hoyer
Modified: 2013-03-05 22:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-18 15:00:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2008-04-18 09:54:22 EDT
if a CDROM is present in the drive, HAL scans it for 3s.. *yawn*

see:
https://www.harald-hoyer.de/linux/bootcharts/f9pre-bootchart-3.png

without the CDROM:
https://www.harald-hoyer.de/linux/bootcharts/f9pre-bootchart-4.png
Comment 1 David Zeuthen 2008-04-18 15:00:59 EDT
Mmm, and exactly how often do you keep a disc in drive? Anyway, fact of the
matter is that we need to probe for the file system. Surprisingly libvolume_id
is used for that so right back at your own package ;-) 

FWIW, upstream udev will start doing this too in an upcoming release. At least
this will run in parallel with all the other stuff. When that is in place HAL
(or equivalent) will use that. So this is something to fix later. E.g. ->
closing as UPSTREAM.

Btw, please avoid using https url's if your certificate is invalid. That won't
work in FF3 without a lot of work on us poor users. Thanks.
Comment 2 Harald Hoyer 2008-04-18 15:13:27 EDT
sry, the https was meant to be http... copy&paste error.. 3 clicks in ff3.

parallel is the key.. yes.

Note You need to log in before you can comment on or make changes to this bug.